org.apache.solr.client.solrj.io.stream.expr

## Class DefaultStreamFactory

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.StreamFactory
  - - org.apache.solr.client.solrj.io.stream.expr.DefaultStreamFactory

All Implemented Interfaces:
  Serializable

    public class DefaultStreamFactory
    extends StreamFactory

A default collection of mappings, used to convert strings into stream expressions.

Since:
  7.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DefaultStreamFactory()`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.io.stream.expr.StreamFactory

`constructComparator, constructEqualitor, constructEvaluator, constructEvaluator, constructMetric, constructMetric, constructOperation, constructOperation, constructPrimitiveObject, constructStream, constructStream, createInstance, doesRepresentTypes, getBooleanOperand, getCollectionZkHost, getDefaultCollection, getDefaultZkHost, getExpressionOperands, getExpressionOperands, getExpressionOperandsRepresentingTypes, getFunctionName, getFunctionNames, getIntOperand, getNamedOperand, getNamedOperands, getOperand, getOperandsOfType, getValueOperand, getValueOperands, isEvaluator, isStream, withCollectionZkHost, withDefaultZkHost, withFunctionName, withFunctionName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultStreamFactory

    public DefaultStreamFactory()